<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>
    // sử dụng hàm Number để kiểm tra dữ liệu là số hay không?
    var boolean = true
    document.write('boolean true:'+Number(boolean)+'<br>')
    var boolean_f = false
    document.write('boolean false: '+Number(boolean_f)+'<br>')
    var string = 'Chương trình đang chạy'
    document.write(Number(string))
    var string_number = '1234'
    document.write('number:'+string_number)
    // sử dụng hàm parseInt() để ép sang kiểu số nguyên
    var string_1= '123 đây là số'
    document.write('<br> số lấy được từ chuỗi'+ parseInt(string_1))
    var string_2= '12312312.191283'
    document.write('<br> số lấy được từ chuỗi'+ parseInt(string_2))
    // sử dụng parseFloat để ép sang kiểu số thực
    document.write('<br> số lấy dc từ dãy là:'+ parseFloat(string_2))

    // hàm toString để chuyển đổi sang kiểu string
    var a= 113231;
    a=a.toString()
    document.write('<br> kiểu dữ liệu dc chuyển là: ',typeof a)
    // sử dụng hàm toFixed(n) để làm trong
    var b= 44.5554
    b = b.toFixed(2)
    document.write('<br> số sau khi được làm tròn:'+b)
    </script>
</body>
</html>